#include "Othello.h"

/* 
	STEP7

	pF
	
	E|ZAZ̕A͏łB
	EAstep6.c \[XڂłˁB
	Ȅꍇ́A[v񐔂Ȃ̂ŁAstep7.c ͂܂łQlxłˁB

	Ȃ݂ɁAAZu[̃\[Xo͂܂̂ŁA
		asm\step6.cod
		asm\step7.cod
		A悭rĂ݂ĉB

*/

#define OTHELLO_LINE_COUNT		8	//	IZ̔	̐
#define OTHELLO_LINE_POSI_X		10	//	}X̎n_	wW
#define OTHELLO_LINE_POSI_Y		10	//				xW
#define OTHELLO_LINE_ONE		50	//	IZ̔	P̃}X̕


void step7(HDC hdc,PAINTSTRUCT *ps)
{
int n;
int line_px;
int line_py;
int line_one;
int line_long;

	SelectObject(hdc,hPen[0]);

	line_px = OTHELLO_LINE_POSI_X;	//	n_w
	line_py	= OTHELLO_LINE_POSI_Y;	//	n_x
	line_one = OTHELLO_LINE_ONE;
	line_long = line_px + line_one * OTHELLO_LINE_COUNT;	//	I_w

	for( n = 0; n <= OTHELLO_LINE_COUNT ; n++ )	//	̃C
	{
		MoveToEx(hdc, line_px, line_py , NULL);		
		LineTo(hdc, line_long, line_py );	
		line_py += line_one;	//	ŁÂxWvZ΁AvȌ́AŏɂȂ܂B
	}

	line_px = OTHELLO_LINE_POSI_X;	//	n_w
	line_py	= OTHELLO_LINE_POSI_Y;	//	n_x
	line_one = OTHELLO_LINE_ONE;
	line_long = line_py + line_one * OTHELLO_LINE_COUNT;	//	I_w

	for( n = 0; n <= OTHELLO_LINE_COUNT ; n++ )	//	c̃C
	{
		MoveToEx(hdc, line_px, line_py , NULL);		
		LineTo(hdc, line_px,   line_long  );	
		line_px += line_one;	//	ŁÂwWvZ΁AvȌ́AŏɂȂ܂B
	}
}

