#include "Othello.h"

/* 
	STEP9

	pF
	
	EIZ̃R}ǉČ܂傤B

*/

#define OTHELLO_LINE_COUNT		8	//	IZ̔	̐
#define OTHELLO_LINE_POSI_X		10	//	}X̎n_	wW
#define OTHELLO_LINE_POSI_Y		10	//				xW
#define OTHELLO_LINE_ONE		50	//	IZ̔	P̃}X̕
#define	TIP_SPACE				2	//	IZ̃R}ƁA}X̍́A2dotɐݒ

void step9(HDC hdc,PAINTSTRUCT *ps)
{
int n,x,y;
int line_px = OTHELLO_LINE_POSI_X;
int line_py = OTHELLO_LINE_POSI_Y;
int	line_one = (ps->rcPaint.right - line_px * 2) / OTHELLO_LINE_COUNT;	// 	P̃}X́̕AiEBh[̕@\@]~Qj@̐
int	line_long = line_one * OTHELLO_LINE_COUNT;							//	P̃}X̕~̐
int t_sp = TIP_SPACE;

	SelectObject(hdc,hPen[0]);

	for( n = 0; n <= OTHELLO_LINE_COUNT ; n++ )	//	̃C
	{
		MoveToEx(hdc, line_px, line_py + line_one * n , NULL);		
		LineTo(hdc, line_px + line_long , line_py + line_one * n );	
	}

	for( n = 0; n <= OTHELLO_LINE_COUNT ; n++ )	//	c̃C
	{
		MoveToEx(hdc, line_px + line_one * n , line_py, NULL);		
		LineTo(hdc, line_px + line_one * n, line_py + line_long  );	
	}

// IZ̃R}`悵܂B

	SelectObject(hdc,hPen[1]);

	for( y = 0; y < OTHELLO_LINE_COUNT ; y++ )	//	cɂWi
	{
		for( x = 0; x < OTHELLO_LINE_COUNT ; x++ )	//	cɂW
		{
			SelectObject(hdc,hBrush[((x+y)&1)+1]);

			Ellipse( hdc,	line_px + line_one * x + t_sp,			//	̂wW
							line_py + line_one * y + t_sp,			//	̂xW
							line_px + line_one * (x + 1) - t_sp,	//	̂wW
							line_py + line_one * (y + 1) - t_sp);	//	̂xW
		}
	}
}
